5.1.1.12.2. Select in Context Menus
Prev | 5.1.1.12. Select | Next

#### 5.1.1.12.2. Select in Context Menus

Select Context Menu by Indexpath

- Use this action to open the context-sensitive menu from the currently active component and to select an item from it.

- The menu item is selected using its indexpath.

- This is realized by:

  - Right-clicking in the component.

  - Navigating to the menu item specified.

  - Left-clicking on the menu option.

- If you want to select an item from the context-menu on a specific node or cell, then you must first specify that the node or cell you want be selected using the appropriate select action on the tree or table component.

- Depending on your AUT, you may have to enter "0" as the click count for the select action on the tree or table component.

- Parameters:

  - Indexpath

  - Mouse Button

| This action is unsupported for the HTML toolkit.

Select Context Menu by Indexpath (Specify Position)

- Use this action to open the context-sensitive menu from the currently active component and to select an item from it.

- The menu item is selected using its indexpath.

- This is realized by:

  - Clicking in the component with the mouse button you specify.

  - The position to click is specified by the x- and y- coordinate parameters.

  - Navigating to the menu item specified.

  - Left-clicking on the menu option.

- This action will open the context menu at the position you specify in the component.

- For some components (e.g. trees), opening a context menu somewhere else in the component can have a different effect than when you open the context menu on a specific node.

- If you want to open or check a context menu on a selected node or cell in a component, then use the action which selects the context menu without specifying the coordinate position.

- Parameters:

  - X-Position

  - X-Units

  - Y-Position

  - Y-Units

  - Indexpath

  - Mouse Button

Select Context Menu by Textpath

- Use this action to open the context-sensitive menu from the currently active component and to select an item from it.

- The menu item is selected using its textpath.

- This is realized by:

  - Right-clicking in the component.

  - Navigating to the menu item specified.

  - Left-clicking on the menu option.

- If you want to select an item from the context-menu on a specific node or cell, then you must first specify that the node or cell you want be selected using the appropriate select action on the tree or table component.

- Depending on your AUT, you may have to enter "0" as the click count for the select action on the tree or table component.

- Parameters:

  - Textpath

  - Operator

  - Mouse Button

Select Context Menu by Textpath (Specify Position)

- Use this action to open the context-sensitive menu from the currently active component and to select an item from it.

- The menu item is selected using its textpath.

- This is realized by:

  - Clicking in the component with the mouse button you specify.

  - The position to click is specified by the x- and y- coordinate parameters.

  - Navigating to the menu item specified.

  - Left-clicking on the menu option.

- This action will open the context menu at the position you specify in the component.

- For some components (e.g. trees), opening a context menu somewhere else in the component can have a different effect than when you open the context menu on a specific node.

- If you want to open or check a context menu on a selected node or cell in a component, then use the action which selects the context menu without specifying the coordinate position.

- Parameters:

  - X-Position

  - X-Units

  - Y-Position

  - Y-Units

  - Textpath

  - Operator

  - Mouse Button